Skip to content

Get practice suggestions

GET
/api/songs/suggestions

Returns songs ordered by how long since they were last practiced, suggesting which songs need rehearsal.

Practice suggestions

object
ok
required
boolean
data
required
object
recentlyEdited
required

Songs edited in the last 7 days, newest first (max 10)

Array<object>
object
id
required
string format: uuid
title
required
string
artist
string
key

Musical key (e.g., Am, C, F#m)

string
tempo

BPM

integer
duration

Duration in seconds

integer
notes

Performance notes

string
timeSignature

Time signature (e.g., 4/4)

string
mediaUrl

Link to audio/video

string format: uri
tags
Array<string>
content

ChordPro formatted content (lyrics + chords)

string
leadVocal

Who sings lead

string
infoPa

Notes for sound engineer

string
updatedAt
string format: date-time
createdAt
string format: date-time
needsPractice
required

Songs not practiced in the last 30 days — never practiced first, then longest since (max 10)

Array<object>
object
id
required
string format: uuid
title
required
string
artist
string
key

Musical key (e.g., Am, C, F#m)

string
tempo

BPM

integer
duration

Duration in seconds

integer
notes

Performance notes

string
timeSignature

Time signature (e.g., 4/4)

string
mediaUrl

Link to audio/video

string format: uri
tags
Array<string>
content

ChordPro formatted content (lyrics + chords)

string
leadVocal

Who sings lead

string
infoPa

Notes for sound engineer

string
updatedAt
string format: date-time
createdAt
string format: date-time
lastPracticedAt
required

Latest practice entry for the song across the whole history, or null if never practiced

string format: date-time
nullable
newSongs
required

Songs added in the last 14 days that have never been practiced (max 10)

Array<object>
object
id
required
string format: uuid
title
required
string
artist
string
key

Musical key (e.g., Am, C, F#m)

string
tempo

BPM

integer
duration

Duration in seconds

integer
notes

Performance notes

string
timeSignature

Time signature (e.g., 4/4)

string
mediaUrl

Link to audio/video

string format: uri
tags
Array<string>
content

ChordPro formatted content (lyrics + chords)

string
leadVocal

Who sings lead

string
infoPa

Notes for sound engineer

string
updatedAt
string format: date-time
createdAt
string format: date-time

Unauthorized

object
ok
required
boolean
error
required
string